#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)

%define		pnam	Gnome2-Canvas
%include	/usr/lib/rpm/macros.perl
Summary:	Perl interface to the GNOME Canvas
Summary(pl.UTF-8):	Interfejs perlowy do GNOME Canvas
Name:		perl-Gnome2-Canvas
Version:	1.002
Release:	12
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	93405a987ba4bbd03c2f91592b88f5cb
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gtk+2-devel
BuildRequires:	libgnomecanvas-devel >= 2.14.0
BuildRequires:	perl-Cairo-devel
BuildRequires:	perl-ExtUtils-Depends >= 0.200
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib-devel >= 1.120
BuildRequires:	perl-Gtk2-devel >= 1.121
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libgnomecanvas >= 2.14.0
Requires:	perl-Glib >= 1.120
Requires:	perl-Gtk2 >= 1.121
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2 Perl module allows a perl developer to use the GnomeCanvas
widget.

%description -l pl.UTF-8
Moduł Perla Gnome2 umożliwia programistom perlowym korzystanie z
kontrolki GnomeCanvas.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/Canvas/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO README
%{perl_vendorarch}/Gnome2/Canvas.pm
%dir %{perl_vendorarch}/auto/Gnome2/Canvas
%dir %{perl_vendorarch}/Gnome2/Canvas
%dir %{perl_vendorarch}/Gnome2/Canvas/Install
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/Canvas/*.so
%{perl_vendorarch}/Gnome2/Canvas/Install/*
%{_mandir}/man3/*
%changelog
* Mon Mar 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gnome2-Canvas.git;a=log;h=master

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 6d9a4b0
- release 12 (by relup.sh)

* Fri Feb 27 2015 Elan Ruusamäe <glen@delfi.ee> ce34482
- BR perl-Cairo-devel, perl-Glib-devel, perl-Gtk2-devel

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ba120fa
- x32 rebuild
- release 11 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 5e44abb
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e0f68b9
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 163f2c6
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8eb5d60
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d6b1c0
- release 7

* Sun Mar 02 2008 radek <radek@pld-linux.org> b26ecdc
- release 6

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a9dc43b
- rel 5

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 499516c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Mar 26 2007 radek <radek@pld-linux.org> 5471bc9
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6d8dc06
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b5b4af6
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> a2995a7
- unify sourceforge url

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> cf82b2f
- merged deps update from AC-branch

* Thu Aug 11 2005 radek <radek@pld-linux.org> 6ba5276
- bcond_with(out) is followed by one \t, then bcond's name.

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 474282b
- formatting

* Fri Sep 17 2004 freetz <freetz@pld-linux.org> 333b939
- 1.002

* Sun Aug 01 2004 ankry <ankry@pld-linux.org> 4cffd3a
- added missing dir, rel. 2

